oracle.adf.view.rich.model

## Class AttributeDescriptor

- java.lang.Object
- - oracle.adf.view.rich.model.Descriptor
  - - oracle.adf.view.rich.model.BaseAttributeDescriptor
    - - oracle.adf.view.rich.model.AttributeDescriptor

- Direct Known Subclasses:
    ColumnDescriptor

      public abstract class AttributeDescriptor
      extends BaseAttributeDescriptor

  An AttributeDescriptor represents a querable attribute.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AttributeDescriptor.ComponentType` List of component types.
    `class` | `AttributeDescriptor.Operator` Represents an operator supported by an attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTOR_TYPE_ATTRIBUTE` Deprecated. use BaseAttributeDescriptor.DESCRIPTOR_TYPE_ATTRIBUTE instead.

    - ### Fields inherited from class oracle.adf.view.rich.model.Descriptor

      `DESCRIPTOR_TYPE_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AutoSuggestBehaviorConfig` | `getAutoSuggestBehaviorConfig()` This returns the AutoSuggestBehaviorConfig object.
    `abstract Set<AttributeDescriptor.Operator>` | `getSupportedOperators()` Returns a Set of operators to use for the current attribute.
    `boolean` | `isIndexed()` Indicates whether the attribute is part of an index in the data model.

    - ### Methods inherited from class oracle.adf.view.rich.model.BaseAttributeDescriptor

      `getAutoComplete, getCharacterCountBy, getComponentType, getConverter, getCustomizedProperty, getDescriptorType, getFormat, getGroupName, getLength, getMaximumLength, getModel, getPlaceholder, getTimeZone, getType, getValidator, hasDefaultConverter, isReadOnly, isRequired`

    - ### Methods inherited from class oracle.adf.view.rich.model.Descriptor

      `getDescription, getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESCRIPTOR_TYPE_ATTRIBUTE

          public static final String DESCRIPTOR_TYPE_ATTRIBUTE

      Deprecated. use BaseAttributeDescriptor.DESCRIPTOR_TYPE_ATTRIBUTE instead.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AttributeDescriptor

          public AttributeDescriptor()

  - ### Method Detail

    - #### getSupportedOperators

          public abstract Set<AttributeDescriptor.Operator> getSupportedOperators()

      Returns a Set of operators to use for the current attribute. This is particularly used when performing a QBE based on a value entered by user.
      Returns:
        a Set<Operator<

    - #### isIndexed

          public boolean isIndexed()

      Indicates whether the attribute is part of an index in the data model. This information may be used to render a special indicator.
      Returns:
        a boolean true/false value. The default implementation returns false.

    - #### getAutoSuggestBehaviorConfig

          public AutoSuggestBehaviorConfig getAutoSuggestBehaviorConfig()

      This returns the AutoSuggestBehaviorConfig object. The default implementation returns null.
      Returns:
        suggested behavior config

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.